# sta_info_tag Struct Reference
[STA_MGMT]

STA Info Table. More...

`#include <sta_mgmt.h>`

Collaboration diagram for sta_info_tag:
[legend]

## Data Fields
struct co_list_hdr | list_hdr
| linked list header
uint32_t | bcn_int
| Beacon Interval used by peer AP or peer Mesh STA (in microseconds).
uint32_t | ampdu_size_max_he
| maximum size of HE A-MPDUs supported by the STA
uint32_t | ampdu_size_max_vht
| maximum size of VHT A-MPDUs supported by the STA
uint16_t | ampdu_size_max_ht
| maximum size of HT A-MPDUs supported by the STA
uint32_t | paid_gid
| PartialAid/GroupId to be put in the THD when transmitting to this STA.
uint8_t | ampdu_spacing_min
| Minimal spacing to be inserted when transmitting to this STA.
uint16_t | drift
| Maximum drift on one beacon period Used only for a VIF of type STA or MP.
uint16_t | aid
| AID of the station.
uint8_t | inst_nbr
| Interface the station belongs to.
uint8_t | staid
| Station index.
uint8_t | ps_state
| Power save state of the associated STA.
bool | valid
| Flag indicating if the STA entry is valid or not.
struct mac_addr | mac_addr
| MAC address of the STA.
struct sta_info_tag * | linked_sta
| STA entry linked to this one (used for Multiple BSSID support in STA mode).
uint8_t | ctrl_port_state
| Logical port state.
enum sta_ps_traffic | traffic_avail
| PS/UAPSD traffic availability on host and/or internally.
enum sta_ps_sp | ps_service_period
| PS/UAPSD service period status.
uint16_t | ctrl_port_ethertype
| control port protocol
struct sta_mgmt_sec_info | sta_sec_info
| STA Security Information.
struct sta_capa_info | info
| Generic station information.
uint16_t | seq_nbr [TID_MAX]
| Per-TID sequence numbers.
struct sta_pol_tbl_cntl | pol_tbl
| TX policy table control.
struct ba_agmt | ba_agmts_tx [TID_MAX]
| For TX BA agreements per TID.
struct rxu_cntrl_reord * | ba_agmts_rx [TID_MAX]
| For RX BA agreements per TID.
struct sta_mgmt_ba_info | ba_info [TID_MAX]
| UMAC information related to the TX block ack agreements established.
uint16_t | rx_nqos_last_seqcntl
| Duplicate Detection Status (non-QoS data frames).
uint16_t | rx_qos_last_seqcntl [TID_MAX]
| Duplicate Detection Status (QoS data frames).
struct co_list | tx_desc_post
| List of TX descriptor whose transmission has been postponed.
uint8_t | mlink_idx
| Mesh Link Index.
struct tdls_info_tag | tdls
| TDLS specific information.
bool | is_tdls
| Flag indicating if the station is a TDLS station.

## Detailed Description

STA Info Table.

Definition at line 347 of file sta_mgmt.h.

## Field Documentation

uint32_t sta_info_tag::bcn_int

Beacon Interval used by peer AP or peer Mesh STA (in microseconds).

Used only for a VIF of type STA or MP

Definition at line 355 of file sta_mgmt.h.

Referenced by chan_vif_tbtt_intv(), mm_set_beacon_int_req_handler(), and mm_set_vif_state_req_handler().

The documentation for this struct was generated from the following file:

- /space/home/slher/rel/Beken/v6_4_5/macsw/ip/lmac/src/sta/sta_mgmt.h